local BMLocale = {}
local BM = Apollo.GetAddon("BossMods")
BM.BMLocale = BMLocale

function BMLocale:Fights()
	tBoss = {}
	if Apollo.GetString(1) == "Cancel" then -- English
		tBoss[1] = {false, "Blade-Wind the Invoker", {true, {60, 0}, false, {}}, {{false, "Thunder Cross", "Next Thunder Cross", 11, {1, 2}, 1, false, false, 0, 0}, {false, "Electrostatic Pulse", "Next Electrostatic Pulse", 5, {2}, 1, true, false, 3, 11, 1}}, {}, {}, {{0, "xkcdBloodOrange", 0, 0}}}
		tBoss[2] = {false, "Aethros", {true, {80, 40, 0}, false, {}}, {{false, "Torrent", "Next Torrent", 7.5, {1}, 1, false, false, 0, 0}, {false, "Torrent", "Next Torrent", 9, {2, 3}, 1, false, false, 0, 0}}, {}, {}, {{0, "xkcdBloodOrange", 0, 0}}}
		tBoss[3] = {false, "Stormtalon", {true, {90, 55, 0}, true, {"Knockback: Phase 1/2", "Until Eye of the Storm: Phase 1/2", "Until Death"}}, {}, {{false, "Thunder Call", "Next Knockback", 36, {1, 2}, 1, false, false, 0, 0}}, {{false, "ELECTRICITY!", "Run for your life!", 6, {1, 2, 3}, 1, false, false, 0, 0}, {false, "ELECTRICITY FLOWS", "Next Eye of the Storm", 35, {3}, 1, false, false, 0, 0}}, {{-0.45, "red", 0, 1.57}, {0.45, "red", 0, 1.57}}}

		tBoss[4] = {false, "Stew-Shaman Tugga", {true, {72, 20, 0}, false, {}}, {{false, "Into the Stew", "Next Cast", 6, {1, 2, 3}, 1, false, false, 0, 0}, {false, "Magma Totem", "Next Cast", 6, {1, 2, 3}, 1, false, false, 0, 0}, {false, "Molten Rain", "Next Cast", 6, {1, 2, 3}, 1, false, false, 0, 0}}, {}, {}, {{0, "xkcdBloodOrange", 0, 0}}}
		tBoss[5] = {false, "Thunderfoot", {true, {0}, false, {}}, {{false, "Pulverize", "Next Enraging Fury", 26, {1}, 1, false, false, 0, 0}, {false, "Pulverize", "Next Pound", 16, {1}, 1, false, false, 0, 0}}, {}, {}, {{-0.82, "red", 6, -1.57}, {0.82, "red", 6, 1.57}}}
		tBoss[6] = {false, "Bosun Octog", {true, {66, 34, 0}, false, {}}, {{false, "Ink Shield", "Noxious Ink Phase", 45, {1, 2, 3}, 1, false, false, 0, 0}}, {}, {}, {{0, "xkcdBloodOrange", 0, 0}}}
		tBoss[7] = {false, "Mordechai Redmoon", {true, {0}, false, {}}, {}, {}, {{false, "Terraformer begins", "Next Rumble Phase", 60, {1}, 1, false, false, 0, 0}, {false, "Terraformer begins", "Run around pit!", 27, {1}, 1, false, false, 0, 0}}, {{0, "xkcdBloodOrange", 0, 0}}}

		tBoss[8] = {false, "Grond the Corpsemaker", {true, {0}, false, {}}, {{false, "Bellow", "Next Thrash or Mutilate", 15, {1}, 1, false, false, 0, 0}}, {}, {}, {{-0.6, "red", 0, 1.57}, {0.6, "red", 0, 1.57}, {-2.6, "red", 0, 1.57}, {2.6, "red", 0, 1.57}}}
		tBoss[9] = {false, "Slavemaster Drokk", {true, {84, 65, 45, 25, 0}, false, {}}, {{false, "Suppression Wave", "Next Suppression Wave", 15, {4, 5}, 1, false, false, 0, 0}}, {}, {{false, "lockdown!", "Expect another Lockdown.", 18, {3, 4, 5}, 1, false, false, 0, 0}, {false, "A tracking", "Time left on Beacon", 19, {1, 2, 3, 4, 5}, 1, false, false, 0, 0}}, {{0, "xkcdBloodOrange", 0, 0}}}
		tBoss[10] = {false, "Forgemaster Trogun", {true, {50, 0}, false, {}}, {{false, "Volcanic Strike", "Next Volcanic Strike", 14.5, {1, 2}, 1, false, false, 0, 0}}, {}, {{false, "primal fires of", "Next Forgemaster's Call", 14.5, {1, 2}, 1, false, false, 0, 0}}, {{0, "xkcdBloodOrange", 0, 0}}}
		
		tBoss[11] = {false, "Deadringer Shallaos", {true, {85, 55, 25, 0}, false, {}}, {{false, "Echo", "Expect Next Echo or Harmonic Call", 9, {1, 2, 3, 4}, 1, false, false, 0, 0}, {false, "Harmonic Call", "Expect Next Echo or Harmonic Call", 9, {1, 2, 3, 4}, 1, false, false, 0, 0}}, {}, {{false, "Torine chimes", "Dodge Waves then Interrupt Echo", 36, {1, 2, 3, 4}, 1, false, false, 0, 0}}, {{-1.4, "red", 0, 1.57}, {1.4, "red", 0, 1.57}}}		
		tBoss[12] = {false, "Rayna Darkspeaker", {true, {70, 40, 0}, false, {}}, {{false, "Molten Wave", "Avoid Waves", 32, {1, 2}, 1, false, false, 0, 0}}, {{false, "Smoldering", "Next Smoldering", 12, {1, 2, 3}, 1, false, false, 0, 0}}, {}, {{0, "xkcdBloodOrange", 0, 0}}}
		tBoss[13] = {false, "Moldwood Overlord Skash", {true, {0}, false, {}}, {{false, "Corruption Siphon", "Next possible Intent", 22, {1}, 1, false, false, 0, 0}}, {}, {{false, "dread intent!", "Spread & Kill", 15, {1}, 1, false, false, 0, 0}}, {{0, "xkcdBloodOrange", 0, 0}}}
		tBoss[14] = {false, "Ondu Lifeweaver", {true, {90, 60, 30, 0}, false, {}}, {}, {}, {{false, "enraged!", "Tank kite - Next Totem", 30, {1, 2, 3, 4}, 1, false, false, 0, 0}, {false, "skin becomes", "Avoid stuff & Kite - Next Totem", 30, {1, 2, 3, 4}, 1, false, false, 0, 0}}, {{0, "xkcdBloodOrange", 0, 0}}}
		tBoss[15] = {false, "Spiritmother Selene the Corrupted", {true, {80, 40, 0}, false, {}}, {{false, "Nightmare Ripple", "Next Ripple", 10, {2, 3}, 1, false, false, 0, 0}}, {}, {{false, "one with the", "Darkness Phase", 30, {1, 2, 3}, 1, false, false, 0, 0}}, {{0, "xkcdBloodOrange", 0, 0}}}
		
		tBoss[16] = {false, "Experiment X-89", {true, {0}, false, {}}, {}, {}, {{false, "bomb", "Minimum Time - Next Bomb", 20, {1}, 1, false, false, 0, 0}}, {{0, "xkcdBloodOrange", 0, 0}}}
		tBoss[17] = {false, "Kuralak the Defiler", {true, {68, 58, 46, 36, 23, 11, 0}, false, {"First Corruption 0/6", "Next Corruption 1/6", "Next Corruption 2/6", "Next Corruption 3/6", "Next Corruption 4/6", "Next Corruption 5/6", "Final Corruption 6/6 - Until Death" }}, {}, {}, {}, {{0, "xkcdBloodOrange", 0, 0}}}
		tBoss[18] = {false, "Phage Maw", {true, {0}, false, {}}, {}, {}, {}, {{0, "xkcdBloodOrange", 0, 0}}}
		tBoss[19] = {false, "Phagetech Commander", {true, {0}, false, {}}, {}, {}, {{false, "is now active!", "Next Phagetech", 60, {1}, 1, false, false, 0, 0}}, nil}
		tBoss[20] = {false, "Dreadphage Ohmna", {true, {0}, false, {}}, {}, {}, {}, {{0, "xkcdBloodOrange", 0, 0}, {2.09, "yellow", 0, 0}, {-2.09, "yellow", 0, 0}}}
		--tBoss[21] = {false, "Raid Target Dummy", {true, {0}, false, {}}, {{false, "Frenzy", "Noxious Ink Phase", 5, {1}, 1, false, false, 0, 0}}, {}, {}, {{0, "xkcdBloodOrange", 0, 0}}}
	end
	return tBoss
end